org.apache.cassandra.index.sasi.disk

## Class OnDiskBlock.SearchResult<T>

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskBlock.SearchResult<T>

Enclosing class:
  OnDiskBlock<T extends Term>

    public static class OnDiskBlock.SearchResult<T>
    extends java.lang.Object

### Field Summary

Fields
`int` `cmp`
`int` `index`
`T` `result`

### Constructor Summary

Constructors
Constructor and Description
`SearchResult(T result, int cmp, int index)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    public final T result

#### index

    public final int index

#### cmp

    public final int cmp

### Constructor Detail

#### SearchResult

    public SearchResult(T result,
                        int cmp,
                        int index)